package rocks.zipcode.quiz5.objectorientation.account;

/**
 * @author leon on 27/12/2018.
 */
public class BankAccount extends Account implements Transactable{
    private Double balance = 0d;

    public void setBalance(Double val) {
        balance = val;
    }

    @Override
    public void deposit(Double amountToIncreaseBy) {

           if(amountToIncreaseBy < 0) throw new IllegalArgumentException("Please enter valid number");

           balance += amountToIncreaseBy;

    }

    @Override
    public void withdrawal(Double amountToDecreaseBy) {
        if(amountToDecreaseBy > balance || amountToDecreaseBy < 0) throw new IllegalArgumentException("Please enter valid number");
        balance -= amountToDecreaseBy;
    }

    @Override
    public Double getBalance() {
        return balance;
    }
}
